Pcap
curl --request POST \
--url https://api.example.com/service/looking_glass/pcap \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vrf_id": 123,
"vrf_name": "<string>",
"gate_vi_name": "<string>",
"system_name": "<string>",
"id": 1,
"priority": 1,
"filters": {},
"max_packets": 200,
"timeout_sec": 10,
"size": 256
}
'import requests
url = "https://api.example.com/service/looking_glass/pcap"
payload = {
"vrf_id": 123,
"vrf_name": "<string>",
"gate_vi_name": "<string>",
"system_name": "<string>",
"id": 1,
"priority": 1,
"filters": {},
"max_packets": 200,
"timeout_sec": 10,
"size": 256
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
vrf_id: 123,
vrf_name: '<string>',
gate_vi_name: '<string>',
system_name: '<string>',
id: 1,
priority: 1,
filters: {},
max_packets: 200,
timeout_sec: 10,
size: 256
})
};
fetch('https://api.example.com/service/looking_glass/pcap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}service - looking glass
Pcap
POST
/
service
/
looking_glass
/
pcap
Pcap
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
⌘I